Browse code

new: delete user's UsrLoc Entries

Jiri Kuthan authored on 25/05/2002 16:38:22
Showing 1 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,25 @@
1
+#!/bin/sh
2
+#
3
+# $Id$
4
+#
5
+# delete a user's UsrLoc entries
6
+#
7
+
8
+USER_COLUMN='user'
9
+SUBSCRIBER_COLUMN='user_id'
10
+QUERY="delete from location where location.user='$1'"
11
+
12
+# username of a valid MySql user
13
+USER='csps'
14
+
15
+if [ $# -ne 1 ] ; then
16
+	echo "usage: $0 <username>"
17
+	exit 1
18
+fi
19
+
20
+#ps  -wwwwww -o "drs,pid,user,group,euser,egroup,fuser,fgroup,args" -C sr 
21
+
22
+
23
+mysql -h dbhost -u $USER "-p" -e "$QUERY ;" csps107
24
+
25
+echo $?